#### PyKDE - Python Bindings for KDE

# class KMdiChildFrmCaption |
Table of contents
Modules
tdemdi Classes
All Classes

Module | tdemdi
Class | KMdiChildFrmCaption
Inherits | TQWidget

### methods

- KMdiChildFrmCaption (parent)

  returns a KMdiChildFrmCaption instance
  Argument | Type | Default
  --- | --- | ---
  parent | KMdiChildFrm |

- abbreviateText (origStr, maxWidth)

  returns (TQString)
  Argument | Type | Default
  --- | --- | ---
  origStr | TQString |
  maxWidth | int |

- heightHint ()

  returns (int)

- mouseDoubleClickEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQMouseEvent |

- mouseMoveEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | TQMouseEvent |

- mousePressEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQMouseEvent |

- mouseReleaseEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQMouseEvent |

- paintEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | TQPaintEvent |

- setActive (bActive)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  bActive | bool |

- setCaption (text)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  text | TQString |

- slot_moveViaSystemMenu ()

  returns nothing

### variables

- variables

  Variable | Type
  --- | ---
  m_szCaption | TQString